1. Buyer API
  • Supplier API
    • Supplier API – FAQ
    • HTTP Status Codes
    • --- Start Here ---
      • Onboarding Process
      • Mapping
      • Survey Inventory Management
      • Respondent-Survey Flow
      • Statuses, Term Reasons & Categories
      • Onboarding Checklist
      • API Call Flow
      • Frequently Asked Questions (FAQ)
      • Complete Validation Notifications
    • --- APIs ---
      • Lookup Question Library
      • Set Global redirect URLs and Pixels for supplier’s
      • Delete Global redirect URLs and Pixels for supplier’s account
      • Core Metadata Fields
      • Get Question Categories
      • Get Allocated Surveys (all live surveys)
      • Get Allocated Surveys By Id
      • Get Allocated Surveys By Date (live surveys only)
      • Get Allocated Surveys With Pagination (live surveys only)
      • Get Redirect Method for Survey
      • Set Redirect Method for Survey
      • Delete Redirect Method for Survey
      • Get Closed Survey List (allocated to supplier only)
      • Get Survey Transactions data
      • Get Survey Transactions data By Date Range
      • Survey Allow for Unique IP
      • Allow Unique PID & IP
      • Get Panellist Profiling
      • Survey Availability Endpoint
      • Get Survey Stats data By Date Range
      • Get Questions By Category
      • Answer Lookup
      • Get Survey Transactions data By PID and survey number
      • Get PIDs for re-contact surveys (studies)
      • Get survey stats
      • Set Panellist Profiling
      • Update Panellist Profiling
      • Get surveys for respondent
      • Respondent Pre Survey Check
      • Single Term Reason Category Code
      • Term reason category
      • Get Allocated High Priority Surveys(All Live Surveys)
      • Get Survey Targeting
      • Get Quota for Survey
  • Buyer API
    • Buyer API - FAQ
    • Create Job
      POST
    • Update Job
      PUT
    • Get Job Details
      GET
    • Update Job Status
      PUT
    • Get Job List By Status
      POST
    • Create Group
      POST
    • Update Group
      PUT
    • Get Group Details
      GET
    • Update Group Status
      PUT
    • Add Target to group
      POST
    • Update Target to group
      PUT
    • Remove Target Question
      DELETE
    • Add Quota to Group
      POST
    • Update Group Quota
      PUT
    • Get Group Quotas
      GET
    • Get Group Feasibility
      GET
    • Feasibility (Find estimates)
      POST
    • Questions Library
      GET
    • Get Job Stats
      GET
    • Get Group Stats
      GET
    • Get Group Quota Stats
      GET
    • Core Metadata Fields
      GET
  • Text Analyzer API
    • Text Analyzer API - FAQ
    • API Details
  • Postbacks/Redirects
    • Redirect URL
    • PostBack URL
    • Hashing Mechanism
  • View Change Log
    • View Change Log
  • Schemas
    • Supplier API
      • surveyTransModel1
      • surveyTransModel2
      • surveyTransModel3
      • questionCategoryModel
      • termCatModel
      • questionModel
      • surveyTargetingModel
      • surveyStatsModel
      • surveyStatsByIdModel
      • respondentPreSurveyCheckModel
      • getAllocatedSurveysModel
      • surveyStatusModel
      • closedSurveyModel
      • surveyStatsModel
      • respondantQualificationModel2
      • answerModel
      • surveyRedirectsModel
      • accountUrlsModel
      • accountUrlsModel2
      • recontactSurveyModel
      • deleteUpdatesurveyRedirectsModel
      • masterDataModel
      • quotaModel
      • commonSurveyTransaModel
    • Buyer API
      • Create Job
      • UpdateJob
      • GetJobDetail
      • UpdateJobStatus
      • GetJobListByStatus
      • CreateGroup
      • UpdateGroup
      • GetGroupDetails
      • UpdateGroupStatus
      • AddTargetToGroup
      • UpdateTargetToGroup
      • RemoveTargetQuestion
      • AddQuotaToGroup
      • UpdateGroupQuota
      • GetGroupQuotas
      • GetGroupFeasibility
      • Feasibility
      • QuestionLibrary
      • GetJobStats
      • getGroupStats
      • GetGroupQuotaStats
  1. Buyer API

Core Metadata Fields

Production Endpoint
https://apivisionsampling.innovatemr.com/api/v2
Production Endpoint
https://apivisionsampling.innovatemr.com/api/v2
GET
/pega/mapping/metadata/{fields}
This API will allow you to get the details of core metadata fields with the specified fields.( i.e. country, groupType, language, jobType, questionType etc passed in request with comma separated). At least one argument must be required.

Request

Path Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://apivisionsampling.innovatemr.com/api/v2/pega/mapping/metadata/' \
--header 'x-access-token;'
Response Response Example
{
    "apiStatus": "string",
    "result": {
        "countries": [
            {
                "name": "string",
                "code": 0
            }
        ],
        "categories": [
            "string"
        ],
        "jobTypes": [
            "string"
        ],
        "questionTypes": [
            "string"
        ],
        "languages": [
            {
                "name": "string",
                "code": 0
            }
        ],
        "groupTypes": [
            "string"
        ],
        "deviceType": [
            "string"
        ],
        "surveyStatus": {
            "PreSurveyDNC": 0,
            "Completed": 0,
            "Failed": 0,
            "OverQuota": 0,
            "QualityTermination": 0,
            "PreSurveyTermination": 0,
            "StartSurveyDNC": 0,
            "PreSurveyOverQuota": 0,
            "PreSurveyQualityTermination": 0
        },
        "dmaMapping": [
            {
                "OptionId": 0,
                "DMA_NAME": "string",
                "DMA_CODE": 0
            }
        ]
    }
}
Modified at 2026-05-05 10:19:58
Previous
Get Group Quota Stats
Next
Text Analyzer API - FAQ
Built with